View Issue Details

IDProjectCategoryView StatusLast Update
0001366Plugins(No Category)public2010-05-12 22:35
ReporterSUSimAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001366: MacroView: При копировании/переносе макроса - мусор в поле "В конфигурацию"
DescriptionПлагин может копировать переносить макросы только в Основной конфигурации, а в конфигурации пользователя (far /u) при копировании - в поле "В конфигурацию"
первый символ имени Юзера/Кофигурации затирается случайным символом!
Steps To Reproducefar /u test
F11
Просмотр макрокоманд FAR
F5
Additional InformationДля себя поправил, и добал также область "AutoCompletion"="Список автодополнения"
Измененные файлы исходников прилагаются...
TagsNo tags attached.

Activities

SUSim

2010-05-03 12:38

reporter  

macroviewSRC.7z (23,666 bytes)

SUSim

2010-05-10 00:24

reporter   bugnote:0005327

может надо как-то по другому писать? или только ДИФ с перемещением одной строчки прислать?

DrKnS

2010-05-10 01:54

administrator   bugnote:0005330

Да, надо по другому.
Как правильно делать diff - описано в HACKING-RU.


И ничего, что у CopyMoveMacro не одна точка выхода, а много, и это "перемещение одной строчки" наделало утечек памяти?

SUSim

2010-05-10 20:43

reporter   bugnote:0005332

diff -c originaldirectory/ updateddirectory/ > patchfile.patch будет достаточно
или ссылку поконкретнее плиз...

Чем определяете утечку?
Я конечно до конца не разобрался (запутанная логика для меня), но имхо лучше мизерные утечки чем использование уничтоженных данных...

JohnDoe

2010-05-10 21:55

updater   bugnote:0005334

Last edited: 2010-05-10 22:02

View 2 revisions

http://www.farmanager.com/svn/trunk/unicode_far/HACKING-RU

>имхо лучше мизерные утечки
никому не нужны "исправления", вносящие новые баги

alexy

2010-05-10 22:49

administrator   bugnote:0005335

Починил как надо в билд 23.

SUSim

2010-05-11 23:53

reporter   bugnote:0005341

Last edited: 2010-05-12 00:09

View 6 revisions

что то не сраслось после Починки
(Incorrect or damaged C:\SimSU\far2\Plugins\MacroView\MacroRus.lng
                  Message 1241928 not found) :(
а далее...
╔═════════════════════════════════════════════════ Макрокоманды (ЗС) ═══
║ : "AutoCompletion" │
║ : "Common" │
║ : "Editor" │
║ : "Info" │
║ : "QView" │
║ : "Search" │
║ : "Shell" │
║ : "Tree" │
║ : "Vars" │
║ Файловые панели: "Alt00000" │ Автостартующийй макрос
------------------------------------------------------------------------------------

далее все работает...

НО непонятно: почему
  -1,9,-1,-1,-1,2,11,-1,-1,-1,-1,-1,-1,-1,-1,-1,
#ifdef UNICODE
  -1,
#endif

а не просто
  -1,9,-1,-1,-1,2,11,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,

это правда скорее всего не то...

DrKnS

2010-05-12 02:03

administrator   bugnote:0005342

b. 24.

SUSim

2010-05-12 20:54

reporter   bugnote:0005343

УРА :)
вроде теперь всё нормально

Issue History

Date Modified Username Field Change
2010-05-03 12:38 SUSim New Issue
2010-05-03 12:38 SUSim File Added: macroviewSRC.7z
2010-05-10 00:24 SUSim Note Added: 0005327
2010-05-10 01:54 DrKnS Note Added: 0005330
2010-05-10 20:43 SUSim Note Added: 0005332
2010-05-10 21:55 JohnDoe Note Added: 0005334
2010-05-10 22:02 JohnDoe Note Edited: 0005334 View Revisions
2010-05-10 22:49 alexy Note Added: 0005335
2010-05-10 22:49 alexy Assigned To => alexy
2010-05-10 22:49 alexy Status new => feedback
2010-05-11 23:53 SUSim Note Added: 0005341
2010-05-11 23:53 SUSim Status feedback => assigned
2010-05-12 00:00 SUSim Note Edited: 0005341 View Revisions
2010-05-12 00:01 SUSim Note Edited: 0005341 View Revisions
2010-05-12 00:04 SUSim Note Edited: 0005341 View Revisions
2010-05-12 00:08 SUSim Note Edited: 0005341 View Revisions
2010-05-12 00:09 SUSim Note Edited: 0005341 View Revisions
2010-05-12 02:03 DrKnS Note Added: 0005342
2010-05-12 02:03 DrKnS Status assigned => feedback
2010-05-12 20:54 SUSim Note Added: 0005343
2010-05-12 20:54 SUSim Status feedback => assigned
2010-05-12 22:35 alexy Status assigned => closed
2010-05-12 22:35 alexy Resolution open => fixed
2010-05-12 22:35 alexy Fixed in Version => 2.0
2013-05-21 00:38 alexy Category MacroView => (No Category)